FailableIntConsumer (Apache Commons Lang 3.20.0 API)
Description: declaration: package: org.apache.commons.lang3.function, interface: FailableIntConsumer

# Interface FailableIntConsumer<E extends Throwable>

Type Parameters:
  `E` - The kind of thrown exception or error.

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface FailableIntConsumer<E extends Throwable>
A functional interface like `IntConsumer` that declares a `Throwable`.

Since:
  3.11

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final FailableIntConsumer`
  `NOP`
  NOP singleton

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(int value)`
  Accepts the given arguments.
  `default FailableIntConsumer<E>`
  `andThen(FailableIntConsumer<E> after)`
  Returns a composed `FailableIntConsumer` like `IntConsumer.andThen(IntConsumer)`.
  `static <E extends Throwable>
  FailableIntConsumer<E>`
  `nop()`
  Gets the NOP singleton.

- ## Field Details

  - ### NOP

    static final FailableIntConsumer NOP
    NOP singleton

- ## Method Details

  - ### nop

    static <E extends Throwable> FailableIntConsumer<E> nop()
    Gets the NOP singleton.
    Type Parameters:
      `E` - The kind of thrown exception or error.
    Returns:
      The NOP singleton.

  - ### accept

    void accept(int value) throws E
    Accepts the given arguments.
    Parameters:
      `value` - the parameter for the consumable to accept
    Throws:
      `E` - Thrown when the consumer fails.

  - ### andThen

    default FailableIntConsumer<E> andThen(FailableIntConsumer<E> after)
    Returns a composed `FailableIntConsumer` like `IntConsumer.andThen(IntConsumer)`.
    Parameters:
      `after` - the operation to perform after this one.
    Returns:
      a composed `FailableIntConsumer` like `IntConsumer.andThen(IntConsumer)`.
    Throws:
      `NullPointerException` - if `after` is null